# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_ADD_SCRIPTS) += add_scripts

ADD_SCRIPTS_VERSION	:= master

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/add_scripts.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/add_scripts.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#$(STATEDIR)/add_scripts.prepare:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/add_scripts.compile:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/add_scripts.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/add_scripts.targetinstall:
	@$(call targetinfo)

	@$(call install_init, add_scripts)
	@$(call install_fixup,add_scripts,PRIORITY,optional)
	@$(call install_fixup,add_scripts,SECTION,base)
	@$(call install_fixup,add_scripts,AUTHOR,"<>")
	@$(call install_fixup,add_scripts,DESCRIPTION,missing)

# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish

	@$(call install_copy, add_scripts, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/root/nand_rootfs_ubifs.sh, \
		/root/nand_rootfs_ubifs.sh, n)

	@$(call install_copy, add_scripts, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/root/ubinize.cfg, \
		/root/ubinize.cfg, n)

	@$(call install_copy, add_scripts, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/X11/xorg.conf, \
		/etc/X11/xorg.conf, n)

#	@$(call install_copy, add_scripts, 0, 0, 0755, \
#		$(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/ts_calibrate, \
#		/etc/rc.once.d/ts_calibrate, n)

	@$(call install_finish,add_scripts)

	@$(call touch)

# vim: syntax=make
